Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 723080 - app-emulation/libpod: unable to run docker containers from gentoo docker images
Summary: app-emulation/libpod: unable to run docker containers from gentoo docker images
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Zac Medico
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-14 17:15 UTC by Aisha Tammy
Modified: 2020-06-07 00:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
5.4.38-kernel.config (kernel.config,110.93 KB, text/plain)
2020-05-14 17:15 UTC, Aisha Tammy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aisha Tammy 2020-05-14 17:15:02 UTC
Created attachment 639070 [details]
5.4.38-kernel.config

unable to create and run containers from either the tutorial or from gentoo docker images

following is the error log of the command:
podman run --log-level=debug --interactive --tty --volumes-from myportagesnapshot gentoo/stage3-amd64:latest /bin/bash

and my linux 5.4.38 stable gentoo-sources kernel config is attached

workaround/fix: unknown

ERROR LOG: 

time="2020-05-14T13:07:14-04:00" level=debug msg="Using conmon: \"/usr/libexec/podman/conmon\""
time="2020-05-14T13:07:14-04:00" level=debug msg="Initializing boltdb state at /home/builder/.local/share/containers/storage/libpod/bolt_state.db"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using graph driver overlay"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using graph root /home/builder/.local/share/containers/storage"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using run root /tmp/run-1001/containers"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using static dir /home/builder/.local/share/containers/storage/libpod"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using tmp dir /tmp/run-1001/libpod/tmp"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using volume path /home/builder/.local/share/containers/storage/volumes"
time="2020-05-14T13:07:14-04:00" level=debug msg="Set libpod namespace to \"\""
time="2020-05-14T13:07:14-04:00" level=debug msg="Not configuring container store"
time="2020-05-14T13:07:14-04:00" level=debug msg="Initializing event backend file"
time="2020-05-14T13:07:14-04:00" level=warning msg="Error initializing configured OCI runtime crun: no valid executable found for OCI runtime crun: invalid argument"
time="2020-05-14T13:07:14-04:00" level=warning msg="Error initializing configured OCI runtime kata: no valid executable found for OCI runtime kata: invalid argument"
time="2020-05-14T13:07:14-04:00" level=debug msg="using runtime \"/usr/bin/runc\""
time="2020-05-14T13:07:14-04:00" level=debug msg="Using conmon: \"/usr/libexec/podman/conmon\""
time="2020-05-14T13:07:14-04:00" level=debug msg="Initializing boltdb state at /home/builder/.local/share/containers/storage/libpod/bolt_state.db"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using graph driver overlay"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using graph root /home/builder/.local/share/containers/storage"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using run root /tmp/run-1001/containers"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using static dir /home/builder/.local/share/containers/storage/libpod"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using tmp dir /tmp/run-1001/libpod/tmp"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using volume path /home/builder/.local/share/containers/storage/volumes"
time="2020-05-14T13:07:14-04:00" level=debug msg="Set libpod namespace to \"\""
time="2020-05-14T13:07:14-04:00" level=debug msg="No store required. Not opening container store."
time="2020-05-14T13:07:14-04:00" level=debug msg="Initializing event backend file"
time="2020-05-14T13:07:14-04:00" level=debug msg="using runtime \"/usr/bin/runc\""
time="2020-05-14T13:07:14-04:00" level=warning msg="Error initializing configured OCI runtime crun: no valid executable found for OCI runtime crun: invalid argument"
time="2020-05-14T13:07:14-04:00" level=warning msg="Error initializing configured OCI runtime kata: no valid executable found for OCI runtime kata: invalid argument"
time="2020-05-14T13:07:14-04:00" level=info msg="running as rootless"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using conmon: \"/usr/libexec/podman/conmon\""
time="2020-05-14T13:07:14-04:00" level=debug msg="Initializing boltdb state at /home/builder/.local/share/containers/storage/libpod/bolt_state.db"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using graph driver overlay"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using graph root /home/builder/.local/share/containers/storage"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using run root /tmp/run-1001/containers"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using static dir /home/builder/.local/share/containers/storage/libpod"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using tmp dir /tmp/run-1001/libpod/tmp"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using volume path /home/builder/.local/share/containers/storage/volumes"
time="2020-05-14T13:07:14-04:00" level=debug msg="Set libpod namespace to \"\""
time="2020-05-14T13:07:14-04:00" level=debug msg="[graphdriver] trying provided driver \"overlay\""
time="2020-05-14T13:07:14-04:00" level=debug msg="overlay: mount_program=/usr/bin/fuse-overlayfs"
time="2020-05-14T13:07:14-04:00" level=debug msg="backingFs=xfs, projectQuotaSupported=false, useNativeDiff=false, usingMetacopy=false"
time="2020-05-14T13:07:14-04:00" level=debug msg="Initializing event backend file"
time="2020-05-14T13:07:14-04:00" level=debug msg="using runtime \"/usr/bin/runc\""
time="2020-05-14T13:07:14-04:00" level=warning msg="Error initializing configured OCI runtime crun: no valid executable found for OCI runtime crun: invalid argument"
time="2020-05-14T13:07:14-04:00" level=warning msg="Error initializing configured OCI runtime kata: no valid executable found for OCI runtime kata: invalid argument"
time="2020-05-14T13:07:14-04:00" level=debug msg="parsed reference into \"[overlay@/home/builder/.local/share/containers/storage+/tmp/run-1001/containers:overlay.mount_program=/usr/bin/fuse-overlayfs]docker.io/gentoo/stage3-amd64:latest\""
time="2020-05-14T13:07:14-04:00" level=debug msg="parsed reference into \"[overlay@/home/builder/.local/share/containers/storage+/tmp/run-1001/containers:overlay.mount_program=/usr/bin/fuse-overlayfs]@ebda813647a934f1f3699b36f2bf540dd460aa60d3d7a05532c0b85e76cce2d8\""
time="2020-05-14T13:07:14-04:00" level=debug msg="exporting opaque data as blob \"sha256:ebda813647a934f1f3699b36f2bf540dd460aa60d3d7a05532c0b85e76cce2d8\""
time="2020-05-14T13:07:14-04:00" level=debug msg="Adding volumes from container c6ab7d4bc936181f9512a00a0f9c2fee7d8bde324ba1fb52547f85feb51fd5ed"
time="2020-05-14T13:07:14-04:00" level=debug msg="Using slirp4netns netmode"
time="2020-05-14T13:07:14-04:00" level=debug msg="No hostname set; container's hostname will default to runtime default"
time="2020-05-14T13:07:14-04:00" level=debug msg="Loading seccomp profile from \"/usr/share/containers/seccomp.json\""
time="2020-05-14T13:07:14-04:00" level=debug msg="created OCI spec and options for new container"
time="2020-05-14T13:07:14-04:00" level=debug msg="Allocated lock 9 for container d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38"
time="2020-05-14T13:07:14-04:00" level=debug msg="parsed reference into \"[overlay@/home/builder/.local/share/containers/storage+/tmp/run-1001/containers:overlay.mount_program=/usr/bin/fuse-overlayfs]@ebda813647a934f1f3699b36f2bf540dd460aa60d3d7a05532c0b85e76cce2d8\""
time="2020-05-14T13:07:14-04:00" level=debug msg="exporting opaque data as blob \"sha256:ebda813647a934f1f3699b36f2bf540dd460aa60d3d7a05532c0b85e76cce2d8\""
time="2020-05-14T13:07:14-04:00" level=debug msg="created container \"d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38\""
time="2020-05-14T13:07:14-04:00" level=debug msg="container \"d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38\" has work directory \"/home/builder/.local/share/containers/storage/overlay-containers/d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38/userdata\""
time="2020-05-14T13:07:14-04:00" level=debug msg="container \"d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38\" has run directory \"/tmp/run-1001/containers/overlay-containers/d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38/userdata\""
time="2020-05-14T13:07:14-04:00" level=debug msg="New container created \"d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38\""
time="2020-05-14T13:07:14-04:00" level=debug msg="container \"d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38\" has CgroupParent \"/libpod_parent/libpod-d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38\""
time="2020-05-14T13:07:14-04:00" level=debug msg="Handling terminal attach"
time="2020-05-14T13:07:14-04:00" level=debug msg="overlay: mount_data=lowerdir=/home/builder/.local/share/containers/storage/overlay/l/6RPQKEWCZZQMCBEB5OWWQTCSMX,upperdir=/home/builder/.local/share/containers/storage/overlay/9c61311a495404ea88bb9643abb41bea908f33f10e6d43cebed8a31effddbeff/diff,workdir=/home/builder/.local/share/containers/storage/overlay/9c61311a495404ea88bb9643abb41bea908f33f10e6d43cebed8a31effddbeff/work"

time="2020-05-14T13:07:14-04:00" level=debug msg="Made network namespace at /tmp/run-1001/netns/cni-534304a7-e440-3da1-5391-ca261c73c1ec for container d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38"

time="2020-05-14T13:07:14-04:00" level=debug msg="slirp4netns command: /usr/bin/slirp4netns --disable-host-loopback --mtu 65520 --enable-sandbox --enable-seccomp -c -e 3 -r 4 --netns-type=path /tmp/run-1001/netns/cni-534304a7-e440-3da1-5391-ca261c73c1ec tap0"

time="2020-05-14T13:07:15-04:00" level=debug msg="mounted container \"d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38\" at \"/home/builder/.local/share/containers/storage/overlay/9c61311a495404ea88bb9643abb41bea908f33f10e6d43cebed8a31effddbeff/merged\""

time="2020-05-14T13:07:15-04:00" level=debug msg="Created root filesystem for container d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38 at /home/builder/.local/share/containers/storage/overlay/9c61311a495404ea88bb9643abb41bea908f33f10e6d43cebed8a31effddbeff/merged"

time="2020-05-14T13:07:15-04:00" level=debug msg="/etc/system-fips does not exist on host, not mounting FIPS mode secret"

time="2020-05-14T13:07:15-04:00" level=debug msg="reading hooks from /usr/share/containers/oci/hooks.d"

time="2020-05-14T13:07:15-04:00" level=debug msg="Created OCI spec for container d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38 at /home/builder/.local/share/containers/storage/overlay-containers/d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38/userdata/config.json"

time="2020-05-14T13:07:15-04:00" level=debug msg="/usr/libexec/podman/conmon messages will be logged to syslog"

time="2020-05-14T13:07:15-04:00" level=debug msg="running conmon: /usr/libexec/podman/conmon" args="[--api-version 1 -c d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38 -u d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38 -r /usr/bin/runc -b /home/builder/.local/share/containers/storage/overlay-containers/d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38/userdata -p /tmp/run-1001/containers/overlay-containers/d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38/userdata/pidfile -l k8s-file:/home/builder/.local/share/containers/storage/overlay-containers/d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38/userdata/ctr.log --exit-dir /tmp/run-1001/libpod/tmp/exits --socket-dir-path /tmp/run-1001/libpod/tmp/socket --log-level debug --syslog -t --conmon-pidfile /tmp/run-1001/containers/overlay-containers/d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38/userdata/conmon.pid --exit-command /usr/bin/podman --exit-command-arg --root --exit-command-arg /home/builder/.local/share/containers/storage --exit-command-arg --runroot --exit-command-arg /tmp/run-1001/containers --exit-command-arg --log-level --exit-command-arg debug --exit-command-arg --cgroup-manager --exit-command-arg cgroupfs --exit-command-arg --tmpdir --exit-command-arg /tmp/run-1001/libpod/tmp --exit-command-arg --runtime --exit-command-arg runc --exit-command-arg --storage-driver --exit-command-arg overlay --exit-command-arg --storage-opt --exit-command-arg overlay.mount_program=/usr/bin/fuse-overlayfs --exit-command-arg --events-backend --exit-command-arg file --exit-command-arg container --exit-command-arg cleanup --exit-command-arg d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38]"

time="2020-05-14T13:07:15-04:00" level=warning msg="Failed to add conmon to cgroupfs sandbox cgroup: error creating cgroup path /sys/fs/cgroup/openrc/libpod_parent/conmon for openrc: mkdir /sys/fs/cgroup/openrc/libpod_parent: permission denied"

time="2020-05-14T13:07:15-04:00" level=debug msg="Received: -1"

time="2020-05-14T13:07:15-04:00" level=debug msg="Cleaning up container d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38"

time="2020-05-14T13:07:15-04:00" level=debug msg="Tearing down network namespace at /tmp/run-1001/netns/cni-534304a7-e440-3da1-5391-ca261c73c1ec for container d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38"

time="2020-05-14T13:07:15-04:00" level=debug msg="unmounted container \"d29590bbef2d81b3b0c674e06c5062318a9d3447bae7ec35f6143f806e798f38\""

time="2020-05-14T13:07:15-04:00" level=debug msg="ExitCode msg: \"time=\\\"2020-05-14t13:07:15-04:00\\\" level=warning msg=\\\"exit status 1\\\"\\ntime=\\\"2020-05-14t13:07:15-04:00\\\" level=error msg=\\\"container_linux.go:349: starting container process caused \\\\\\\"process_linux.go:449: container init caused \\\\\\\\\\\\\\\"rootfs_linux.go:58: mounting \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"cgroup\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\" to rootfs \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"/home/builder/.local/share/containers/storage/overlay/9c61311a495404ea88bb9643abb41bea908f33f10e6d43cebed8a31effddbeff/merged\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\" at \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"/sys/fs/cgroup\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\" caused \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"invalid argument\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\"\\\\\\\"\\\"\\ncontainer_linux.go:349: starting container process caused \\\"process_linux.go:449: container init caused \\\\\\\"rootfs_linux.go:58: mounting \\\\\\\\\\\\\\\"cgroup\\\\\\\\\\\\\\\" to rootfs \\\\\\\\\\\\\\\"/home/builder/.local/share/containers/storage/overlay/9c61311a495404ea88bb9643abb41bea908f33f10e6d43cebed8a31effddbeff/merged\\\\\\\\\\\\\\\" at \\\\\\\\\\\\\\\"/sys/fs/cgroup\\\\\\\\\\\\\\\" caused \\\\\\\\\\\\\\\"invalid argument\\\\\\\\\\\\\\\"\\\\\\\"\\\": oci runtime error\""
time="2020-05-14T13:07:15-04:00" level=debug msg="[graphdriver] trying provided driver \"overlay\""
time="2020-05-14T13:07:15-04:00" level=debug msg="overlay: mount_program=/usr/bin/fuse-overlayfs"
time="2020-05-14T13:07:15-04:00" level=debug msg="backingFs=xfs, projectQuotaSupported=false, useNativeDiff=false, usingMetacopy=false"
time="2020-05-14T13:07:15-04:00" level=error msg="time=\"2020-05-14T13:07:15-04:00\" level=warning msg=\"exit status 1\"\ntime=\"2020-05-14T13:07:15-04:00\" level=error msg=\"container_linux.go:349: starting container process caused \\\"process_linux.go:449: container init caused \\\\\\\"rootfs_linux.go:58: mounting \\\\\\\\\\\\\\\"cgroup\\\\\\\\\\\\\\\" to rootfs \\\\\\\\\\\\\\\"/home/builder/.local/share/containers/storage/overlay/9c61311a495404ea88bb9643abb41bea908f33f10e6d43cebed8a31effddbeff/merged\\\\\\\\\\\\\\\" at \\\\\\\\\\\\\\\"/sys/fs/cgroup\\\\\\\\\\\\\\\" caused \\\\\\\\\\\\\\\"invalid argument\\\\\\\\\\\\\\\"\\\\\\\"\\\"\"\ncontainer_linux.go:349: starting container process caused \"process_linux.go:449: container init caused \\\"rootfs_linux.go:58: mounting \\\\\\\"cgroup\\\\\\\" to rootfs \\\\\\\"/home/builder/.local/share/containers/storage/overlay/9c61311a495404ea88bb9643abb41bea908f33f10e6d43cebed8a31effddbeff/merged\\\\\\\" at \\\\\\\"/sys/fs/cgroup\\\\\\\" caused \\\\\\\"invalid argument\\\\\\\"\\\"\": OCI runtime error"
Comment 1 Zac Medico gentoo-dev 2020-05-15 04:25:52 UTC
Can you check if using app-emulation/crun instead of app-emulation/runc solves the problem?
Comment 2 Aisha Tammy 2020-05-15 11:22:53 UTC
holy smokes, you are a genius!!!

that actually did the trick!